<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('emails', function (Blueprint $table) {
            $table->id();
            $table->unsignedInteger('client_id')->nullable(); // Kullanıcı ile ilişkilendirilecek
            $table->unsignedInteger('contact_id')->nullable(); // İlgili iletişimle ilişkilendirilecek
            $table->unsignedInteger('admin_id')->nullable(); // Admin ile ilişkilendirilecek
            $table->string('to_address'); // Alıcı adresi
            $table->string('from_address'); // Gönderici adresi
            $table->string('bcc_address')->nullable(); // BCC adresi
            $table->string('subject'); // E-posta konusu
            $table->text('content'); // E-posta içeriği
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('emails');
    }
};
